datacache <- new.env(hash=TRUE, parent=emptyenv())

hthgu133ahsrefseq <- function() showQCData("hthgu133ahsrefseq", datacache)
hthgu133ahsrefseq_dbconn <- function() dbconn(datacache)
hthgu133ahsrefseq_dbfile <- function() dbfile(datacache)
hthgu133ahsrefseq_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
hthgu133ahsrefseq_dbInfo <- function() dbInfo(datacache)

hthgu133ahsrefseqORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "hthgu133ahsrefseq.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)

    ## Create the OrgDb object
    sPkgname <- sub(".db$","",pkgname)
    txdb <- loadDb(system.file("extdata", paste(sPkgname,
      ".sqlite",sep=""), package=pkgname, lib.loc=libname),
                   packageName=pkgname)    
    dbNewname <- AnnotationDbi:::dbObjectName(pkgname,"ChipDb")
    ns <- asNamespace(pkgname)
    assign(dbNewname, txdb, envir=ns)
    namespaceExport(ns, dbNewname)
        
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("HUMANCHIP_DB", "hthgu133ahsrefseq", "chip hthgu133ahsrefseq", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
    packageStartupMessage(AnnotationDbi:::annoStartupMessages("hthgu133ahsrefseq.db"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(hthgu133ahsrefseq_dbconn())
}

